NoSuchProviderException (JavaMail API documentation)
Date: 2019-08-31

javax.mail

## Class NoSuchProviderException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.mail.MessagingException
      - - javax.mail.NoSuchProviderException

- All Implemented Interfaces:
    java.io.Serializable

      public class NoSuchProviderException
      extends MessagingException

  This exception is thrown when Session attempts to instantiate a Provider that doesn't exist.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoSuchProviderException()` Constructs a NoSuchProviderException with no detail message.
    `NoSuchProviderException(java.lang.String message)` Constructs a NoSuchProviderException with the specified detail message.
    `NoSuchProviderException(java.lang.String message, java.lang.Exception e)` Constructs a NoSuchProviderException with the specified detail message and embedded exception.

  - ### Method Summary

    - ### Methods inherited from class javax.mail.MessagingException

      `getCause, getNextException, setNextException, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoSuchProviderException

          public NoSuchProviderException()

      Constructs a NoSuchProviderException with no detail message.

    - #### NoSuchProviderException

          public NoSuchProviderException(java.lang.String message)

      Constructs a NoSuchProviderException with the specified detail message.
      Parameters:
        `message` - The detailed error message

    - #### NoSuchProviderException

          public NoSuchProviderException(java.lang.String message,
                                         java.lang.Exception e)

      Constructs a NoSuchProviderException with the specified detail message and embedded exception. The exception is chained to this exception.
      Parameters:
        `message` - The detailed error message
        `e` - The embedded exception
      Since:
        JavaMail 1.5

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms< /a>.